<?php

namespace Clevercherry\Backslash4\Models;

class ProductType extends Model
{
    use scopeActive;

    /**
    * return an array widget info
    * @return Array of widget info for display on the admin dashboard
    */
    public static function getDashboardWidgets()
    {
        $widgets=[];

        // $widgets[]=['type'=>'bs-dashboard-widget.info',
        //             'heading'=>"No. of Product Types",
        //             'text'=> 'Active '.self::active()->count('id').'<br>'
        //                     .'All '.self::count('id'),
        //           ];
        return $widgets;
    }

    public function includeInSitemap() : bool
    {
        return $this->active;
    }

    public function includeModelInSitemap() : bool
    {
        return true;
    }
}